Loading...
Searching...
No Matches
RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator Class Reference

Alternative atom invariants generator for Morgan fingerprint, generate FCFP-type invariants. More...

`#include <MorganGenerator.h>`

Inheritance diagram for RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator:

## Public Member Functions

| MorganFeatureAtomInvGenerator (std::vector< const ROMol * > *patterns=nullptr)
| Construct a new MorganFeatureAtomInvGenerator object.
std::vector< std::uint32_t > * | getAtomInvariants (const ROMol &mol) const override
| get atom invariants from a molecule
std::string | infoString () const override
| method that returns information about this /c AtomInvariantsGenerator and its arguments
MorganFeatureAtomInvGenerator * | clone () const override
Public Member Functions inherited from RDKit::AtomInvariantsGenerator
virtual | ~AtomInvariantsGenerator ()

## Detailed Description

Alternative atom invariants generator for Morgan fingerprint, generate FCFP-type invariants.

Definition at line 52 of file MorganGenerator.h.

## Constructor & Destructor Documentation

## MorganFeatureAtomInvGenerator()

RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator::MorganFeatureAtomInvGenerator | ( | std::vector< const ROMol * > * | patterns = `nullptr` | ) |

Construct a new MorganFeatureAtomInvGenerator object.

Parameters

  patterns | : if provided should contain the queries used to assign atom-types. if not provided, feature definitions adapted from reference: Gobbi and Poppinger, Biotech. Bioeng. 61 47-54 (1998) will be used for Donor, Acceptor, Aromatic, Halogen, Basic, Acidic.

## Member Function Documentation

## clone()

MorganFeatureAtomInvGenerator * RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator::clone | ( |  | ) | const

override virtual

Implements RDKit::AtomInvariantsGenerator.

## getAtomInvariants()

std::vector< std::uint32_t > * RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator::getAtomInvariants | ( | const ROMol & | mol | ) | const

override virtual

get atom invariants from a molecule

Parameters

  mol | molecule to generate the atom invariants for

Returns
  std::vector<std::uint32_t> atom invariants generated for the given molecule

Implements RDKit::AtomInvariantsGenerator.

## infoString()

std::string RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator::infoString | ( |  | ) | const

override virtual

method that returns information about this /c AtomInvariantsGenerator and its arguments

Returns
  std::string information string

Implements RDKit::AtomInvariantsGenerator.

The documentation for this class was generated from the following file:

- MorganGenerator.h